glibmm 2.40.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Protected Member Functions | List of all members
Glib::ValueBase_Flags Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Flags:
[legend]

## Public Types
typedef guint | CType

## Static Public Member Functions
static GType | value_type ()

## Protected Member Functions
void | set_flags (unsigned int data)
unsigned int | get_flags () const

## Additional Inherited Members
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

typedef guint Glib::ValueBase_Flags::CType

## Member Function Documentation

unsigned int Glib::ValueBase_Flags::get_flags | ( | ) |  | const
| protected

void Glib::ValueBase_Flags::set_flags | ( | unsigned int | data) |  |
| protected

static GType Glib::ValueBase_Flags::value_type | ( | ) |  |
| static